//`mwjjs
//
// Created by t_fire on 2022/4/30.
//

#ifndef INC_0429AE_CADELIMAGE_H
#define INC_0429AE_CADELIMAGE_H
#include "TEdgeGroup.h"

//sizeof:0x3c
class CAdElImage :public CAdElement//`m
{
public:
    CAdElImage(CAdAttribute<TPointF,TAdPointInterpolator> *i0,
               CAdAttribute<TPointF,TAdPointInterpolator> *i1,
               CAdAttribute<uint,TAdColourInterpolator>*i2,
               CAdAttribute<float,TAdFloatInterpolator>*i3,
               char const*i4,bool i5);

    void Render(float, float); //写出来是为了实例化//`m
    void Clone(void);//写出来是为了实例化

    int i_30[3];//不知道类型只知道大小为0xC;
};

//001937FC
CAdElement* GetImageElement(CFTTXmlReaderNode nd0);

//0019309C
void GetPosType(CFTTXmlReaderNode nd0,ePosTypeX & i1,ePosTypeY &i2);

//00192F84
void GetScale(CFTTXmlReaderNode nd0,eScaleX &i1,eScaleY &i2);

//00191F48
bool GetFlag(CFTTXmlReaderNode nd0,char* i2,bool i3);

//00192A2C
CAdAttribute<float,TAdFloatInterpolator> * GetFloatAttribute(CFTTXmlReaderNode nd0);

//001924A8
CAdAttribute<uint,TAdColourInterpolator> * GetColourAttribute(CFTTXmlReaderNode nd0);

//00191FB8
CAdAttribute<TPointF,TAdPointInterpolator> * GetPointAttribute(CFTTXmlReaderNode nd0);

//00192EBC
void GetAlignment(CFTTXmlReaderNode rn0, eAlignmentX & pui1, eAlignmentY &pui2);

//0014BA50
float  FEU_UpdateHighlightRect(float *pf0, float f1);

#endif //INC_0429AE_CADELIMAGE_H
